Loading...
Searching...
No Matches
libstack Class Reference

`#include <subexpr.h>`

## Public Member Functions

void | push (const char *p, char *libname)
libstackv | pop (const char *p)
char * | get ()

## Data Fields

libstackv | next
char * | libname
BOOLEAN | to_be_done
int | cnt

## Detailed Description

Definition at line 161 of file subexpr.h.

## Member Function Documentation

## get()

char * libstack::get | ( |  | ) |

inline

Definition at line 170 of file subexpr.h.

{ return(libname); }
libstack::libname
char * libname
Definition subexpr.h:165

## pop()

libstackv libstack::pop | ( | const char * | p | ) |

Definition at line 1531 of file iplib.cc.

{
libstackv ls = this;
omFree((ADDRESS)ls->libname);
library_stack = ls->next;
omFreeBin((ADDRESS)ls, libstack_bin);
return(library_stack);
}
ADDRESS
void * ADDRESS
Definition auxiliary.h:120
libstack::next
libstackv next
Definition subexpr.h:164
library_stack
VAR libstackv library_stack
Definition iplib.cc:68
omFree
#define omFree(addr)
Definition omAllocDecl.h:261
omFreeBin
#define omFreeBin(addr, bin)
Definition omAllocDecl.h:259
libstack_bin
EXTERN_VAR omBin libstack_bin
Definition subexpr.h:176
libstackv
libstack * libstackv
Definition subexpr.h:159

## push()

void libstack::push | ( | const char * | p,
|  | char * | libname )

Definition at line 1510 of file iplib.cc.

{
libstackv lp;
if( !iiGetLibStatus(libn))
{
for(lp = this;lp!=NULL;lp=lp->next)
{
if(strcmp(lp->get(), libn)==0) break;
}
if(lp==NULL)
{
libstackv ls = (libstack *)omAlloc0Bin(libstack_bin);
ls->next = this;
ls->libname = omStrDup(libn);
ls->to_be_done = TRUE;
if(library_stack != NULL) ls->cnt = library_stack->cnt+1; else ls->cnt = 0;
library_stack = ls;
}
}
}
TRUE
#define TRUE
Definition auxiliary.h:101
libstack::get
char * get()
Definition subexpr.h:170
libstack::cnt
int cnt
Definition subexpr.h:167
libstack::to_be_done
BOOLEAN to_be_done
Definition subexpr.h:166
iiGetLibStatus
BOOLEAN iiGetLibStatus(const char *lib)
Definition iplib.cc:77
omStrDup
#define omStrDup(s)
Definition omAllocDecl.h:263
omAlloc0Bin
#define omAlloc0Bin(bin)
Definition omAllocDecl.h:206
NULL
#define NULL
Definition omList.c:12

## Field Documentation

## cnt

int libstack::cnt

Definition at line 167 of file subexpr.h.

## libname

char* libstack::libname

Definition at line 165 of file subexpr.h.

## next

libstackv libstack::next

Definition at line 164 of file subexpr.h.

## to_be_done

BOOLEAN libstack::to_be_done

Definition at line 166 of file subexpr.h.

The documentation for this class was generated from the following files:

- Singular/subexpr.h
- Singular/iplib.cc